package com.img.rabbit.bean.local

data class AlipayBean(
    val resultStatus: String?, // 状态码：9000-成功，6001-取消，4000-失败
    val result: String?,       // 包含 auth_code 等关键信息
    val memo: String?          // 提示语
)
fun Map<String, String>.toAlipayResult(): AlipayBean {
    return AlipayBean(
        resultStatus = this["resultStatus"],
        result = this["result"],
        memo = this["memo"]
    )
}